Multisample File Reference
`#include <osg/GL>`
`#include <osg/StateAttribute>`
`#include <osg/ref_ptr>`

Go to the source code of this file.

## Classes

class | osg::Multisample

## Namespaces

namespace | osg

## Macros

#define | OSG_MULTISAMPLE 1
#define | GL_MULTISAMPLE_ARB 0x809D
#define | GL_SAMPLE_ALPHA_TO_COVERAGE_ARB 0x809E
#define | GL_SAMPLE_ALPHA_TO_ONE_ARB 0x809F
#define | GL_SAMPLE_COVERAGE_ARB 0x80A0
#define | GL_SAMPLE_BUFFERS_ARB 0x80A8
#define | GL_SAMPLES_ARB 0x80A9
#define | GL_SAMPLE_COVERAGE_VALUE_ARB 0x80AA
#define | GL_SAMPLE_COVERAGE_INVERT_ARB 0x80AB
#define | GL_MULTISAMPLE_BIT_ARB 0x20000000
#define | GL_MULTISAMPLE_FILTER_HINT_NV 0x8534

## Macro Definition Documentation

## GL_MULTISAMPLE_ARB

#define GL_MULTISAMPLE_ARB 0x809D

## GL_MULTISAMPLE_BIT_ARB

#define GL_MULTISAMPLE_BIT_ARB 0x20000000

## GL_MULTISAMPLE_FILTER_HINT_NV

#define GL_MULTISAMPLE_FILTER_HINT_NV 0x8534

## GL_SAMPLE_ALPHA_TO_COVERAGE_ARB

#define GL_SAMPLE_ALPHA_TO_COVERAGE_ARB 0x809E

## GL_SAMPLE_ALPHA_TO_ONE_ARB

#define GL_SAMPLE_ALPHA_TO_ONE_ARB 0x809F

## GL_SAMPLE_BUFFERS_ARB

#define GL_SAMPLE_BUFFERS_ARB 0x80A8

## GL_SAMPLE_COVERAGE_ARB

#define GL_SAMPLE_COVERAGE_ARB 0x80A0

## GL_SAMPLE_COVERAGE_INVERT_ARB

#define GL_SAMPLE_COVERAGE_INVERT_ARB 0x80AB

## GL_SAMPLE_COVERAGE_VALUE_ARB

#define GL_SAMPLE_COVERAGE_VALUE_ARB 0x80AA

## GL_SAMPLES_ARB

#define GL_SAMPLES_ARB 0x80A9

## OSG_MULTISAMPLE

#define OSG_MULTISAMPLE 1